# Changelog

All notable changes to this project will be documented in this file.



## v0.16.0-beta.0 (2022-09-22)

#### :boom: Breaking Change
* [#847](https://github.com/chrislopresto/ember-freestyle/pull/847) Convert to Glimmer, Typescript, & Glint ([@lukemelia](https://github.com/lukemelia))

#### Committers: 1
- Luke Melia ([@lukemelia](https://github.com/lukemelia))

## v0.15.0 (2022-09-14)

#### :rocket: Enhancement
* [#828](https://github.com/chrislopresto/ember-freestyle/pull/828) Render headings instead of divs ([@KamiKillertO](https://github.com/KamiKillertO))

#### :bug: Bug Fix
* [#827](https://github.com/chrislopresto/ember-freestyle/pull/827) Fix aside menu ([@KamiKillertO](https://github.com/KamiKillertO))
* [#823](https://github.com/chrislopresto/ember-freestyle/pull/823) Fix rendering too many submenus ([@bertdeblock](https://github.com/bertdeblock))

#### :memo: Documentation
* [#835](https://github.com/chrislopresto/ember-freestyle/pull/835) Recommend `exclude` option instead of `blacklist` option ([@bertdeblock](https://github.com/bertdeblock))

#### :house: Internal
* [#844](https://github.com/chrislopresto/ember-freestyle/pull/844) Move to release-it to manage release and CHANGELOG. ([@lukemelia](https://github.com/lukemelia))
* [#836](https://github.com/chrislopresto/ember-freestyle/pull/836) Update Ember to v4.6 ([@bertdeblock](https://github.com/bertdeblock))
* [#837](https://github.com/chrislopresto/ember-freestyle/pull/837) Use spread syntax instead of Ember's `assign` polyfill ([@bertdeblock](https://github.com/bertdeblock))
* [#810](https://github.com/chrislopresto/ember-freestyle/pull/810) Update Ember to v4.4 ([@bertdeblock](https://github.com/bertdeblock))
* [#752](https://github.com/chrislopresto/ember-freestyle/pull/752) Resolve `ember-modifier` deprecations ([@bertdeblock](https://github.com/bertdeblock))

#### Committers: 3
- Benjamin JEGARD ([@KamiKillertO](https://github.com/KamiKillertO))
- Bert De Block ([@bertdeblock](https://github.com/bertdeblock))
- Luke Melia ([@lukemelia](https://github.com/lukemelia))

## [0.14.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.13.2...v0.14.0) (2022-03-11)


### ⚠ BREAKING CHANGES

* remove `freestyle-showdown-content` component
* update `ember-modifier` to v3
* update to Ember v4.2

* remove `freestyle-showdown-content` component ([5956a9e](https://github.com/chrislopresto/ember-freestyle/commit/5956a9ea183ddb7274a83478c7dbdcaab86a93d8))
* update `ember-modifier` to v3 ([700eb07](https://github.com/chrislopresto/ember-freestyle/commit/700eb071847449f9843f7dc767b26cf843aa492d))
* update to Ember v4.2 ([f6646a2](https://github.com/chrislopresto/ember-freestyle/commit/f6646a223880ce7882d1412aa38bc109b2f4f649))

### [0.13.2](https://github.com/chrislopresto/ember-freestyle/compare/v0.13.1...v0.13.2) (2021-11-21)

### [0.13.1](https://github.com/chrislopresto/ember-freestyle/compare/v0.13.0...v0.13.1) (2021-11-21)

This release didn't make it to npm. 0.13.2 has the same stuff.

### Features

* remove dependency on `ember-cli-sass` and `sass` ([5482db1](https://github.com/chrislopresto/ember-freestyle/commit/5482db1b11332526e6916f2147e59216120b5fd2))


### Bug Fixes

* pass down [@hide](https://github.com/hide)Controls argument ([c8eac40](https://github.com/chrislopresto/ember-freestyle/commit/c8eac406cc1e59b99f659b68fed7af5b4722d5d4))

## [0.13.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.12.11...v0.13.0) (2021-10-29)


### ⚠ BREAKING CHANGES

* remove the use of `ember-json-viewer`
* drop support for Node v10

### Features

* deprecate `<FreestyleShowdownContent />` component ([78f2568](https://github.com/chrislopresto/ember-freestyle/commit/78f25681c40d33d56c1789601503f3d5ccca88da))


### Bug Fixes

* fix generated id for `freestyle-dynamic-input` component ([942c901](https://github.com/chrislopresto/ember-freestyle/commit/942c901293827e51f35a976623ccdeb0139181e9))
* import computed.or directly ([ecb6811](https://github.com/chrislopresto/ember-freestyle/commit/ecb6811368e41c10466bf859e3bb9118f5683bfc))
* import htmlSafe from @ember/template ([57ea33f](https://github.com/chrislopresto/ember-freestyle/commit/57ea33f6651342488e6cc6209a041dbc15ce977f))
* make AST plugin functional ([87f521c](https://github.com/chrislopresto/ember-freestyle/commit/87f521ce1371a31f0f1fad9530a973f595819723))
* resolve deprecations related to built-in component events ([a4d07c6](https://github.com/chrislopresto/ember-freestyle/commit/a4d07c6661299e9ab161a75a35a50ead5e755707))


* drop support for Node v10 ([2add9c7](https://github.com/chrislopresto/ember-freestyle/commit/2add9c7152a5b58b9de45b4e188b836b656d5fb5))
* remove the use of `ember-json-viewer` ([023f559](https://github.com/chrislopresto/ember-freestyle/commit/023f5591f5531d61188c20d4107447e26172d2b0))

### [0.12.11](https://github.com/chrislopresto/ember-freestyle/compare/v0.12.10...v0.12.11) (2021-03-23)


### Bug Fixes

* Move glimmer/tracker to the deps list since ([3a39dc6](https://github.com/chrislopresto/ember-freestyle/commit/3a39dc6daa2d6a69f6b1e090c19e216edf3fef8d))
* rendering a color palette ([336af81](https://github.com/chrislopresto/ember-freestyle/commit/336af817a43553a3662ebb0cc4b0d174fcf0b23b))

### [0.12.10](https://github.com/chrislopresto/ember-freestyle/compare/v0.12.9...v0.12.10) (2021-03-17)


### Bug Fixes

* blueprint subsection invocation ([#515](https://github.com/chrislopresto/ember-freestyle/issues/515)) ([ad7f63a](https://github.com/chrislopresto/ember-freestyle/commit/ad7f63abf60f2b7013b91881ea2aa0484835226b))

### [0.12.9](https://github.com/chrislopresto/ember-freestyle/compare/v0.12.8...v0.12.9) (2021-03-12)


### Bug Fixes

* @ember/render-modifiers must be a normal dependency ([4bacc17](https://github.com/chrislopresto/ember-freestyle/commit/4bacc1755df39f0e75a1741ae7401150030e63b0))

### [0.12.8](https://github.com/chrislopresto/ember-freestyle/compare/v0.12.7...v0.12.8) (2021-03-03)


### Features

* Add option to not show all in menu ([#372](https://github.com/chrislopresto/ember-freestyle/issues/372)) ([5395fec](https://github.com/chrislopresto/ember-freestyle/commit/5395fec0b36bcc22a3b74fe297675d1e576a2747))

### [0.12.7](https://github.com/chrislopresto/ember-freestyle/compare/v0.12.6...v0.12.7) (2021-02-26)


### Bug Fixes

* Only avoid preprocessing ember-freestyle's templates not the templates of an addon that depends on it ([8b3df73](https://github.com/chrislopresto/ember-freestyle/commit/8b3df7364fbcccb946993f581b0244ae9f0fa311))

### [0.12.6](https://github.com/chrislopresto/ember-freestyle/compare/v0.12.5...v0.12.6) (2021-02-25)


### Bug Fixes

* Switch to `has-block` ([6ea33e6](https://github.com/chrislopresto/ember-freestyle/commit/6ea33e6d2d6a8c9820af9af7a52142f441a1ec95))

### [0.12.5](https://github.com/chrislopresto/ember-freestyle/compare/v0.12.4...v0.12.5) (2021-02-24)

### [0.12.4](https://github.com/chrislopresto/ember-freestyle/compare/v0.12.3...v0.12.4) (2021-02-17)


### Bug Fixes

* Improve handling of named-blocks-polyfill mangled hbs ([c456bff](https://github.com/chrislopresto/ember-freestyle/commit/c456bff7059e3ac85d60d7b262eb4156ae528e2d))

### [0.12.3](https://github.com/chrislopresto/ember-freestyle/compare/v0.12.2...v0.12.3) (2021-02-04)


### Bug Fixes

* Test and fix for Args.String with [@options](https://github.com/options) code path ([c8cd62a](https://github.com/chrislopresto/ember-freestyle/commit/c8cd62a8429c2a9cbfe530ea269068f476dfc30b))

### [0.12.2](https://github.com/chrislopresto/ember-freestyle/compare/v0.12.1...v0.12.2) (2021-02-04)


### Features

* <Freestyle::Usage> ([f5baa3e](https://github.com/chrislopresto/ember-freestyle/commit/f5baa3eb930762bae72678f61e624289ab8fd4a2))


### Bug Fixes

* Don't run AST transform on freestyle itself, just on it's parent app/addon ([e086fbf](https://github.com/chrislopresto/ember-freestyle/commit/e086fbf84f6b34f21e4ac4336cbd986542786ba6))
* Support for nested addon ([93c6183](https://github.com/chrislopresto/ember-freestyle/commit/93c618363799055de5a325d9d80132b8417f18ca))

### [0.12.1](https://github.com/chrislopresto/ember-freestyle/compare/v0.12.0...v0.12.1) (2020-09-22)

## [0.12.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.11.10...v0.12.0) (2020-05-21)


### ⚠ BREAKING CHANGES

* Remove support for freestyle-note

- A stub component has been left to throw an error which points the documentation

* test: Update test matrix support to ember 3.12 and 3.16

* Preserve formatting for <FreestyleUsage> source blocks in AST transform

- also moved unindenting to the AST plugin rather than in-browser

* style: Improve documentation site styles

* chore: removed unused import

Co-authored-by: Luke Melia <luke@lukemelia.com>

### Features

* Support Freestyle Usage|Note angle bracket component invoc… ([#300](https://github.com/chrislopresto/ember-freestyle/issues/300)) ([61b668c](https://github.com/chrislopresto/ember-freestyle/commit/61b668c6a7ddf50d80146d8f1a2b79deb9ceb5bf))


* BREAKING CHANGE: Switch to AST transform for freestyle-usage source preview, drop support for comment-delineated snippets, remove freestyle-notes component (#357) ([5cc6f42](https://github.com/chrislopresto/ember-freestyle/commit/5cc6f425ccfd590924e03d80900947926dd4bc37)), closes [#357](https://github.com/chrislopresto/ember-freestyle/issues/357)

### [0.11.10](https://github.com/chrislopresto/ember-freestyle/compare/v0.11.9...v0.11.10) (2020-04-03)

### [0.11.9](https://github.com/chrislopresto/ember-freestyle/compare/v0.11.8...v0.11.9) (2019-10-07)

### [0.11.8](https://github.com/chrislopresto/ember-freestyle/compare/v0.11.7...v0.11.8) (2019-10-06)


### Bug Fixes

* Remove jQuery usage and update project dependencies ([#238](https://github.com/chrislopresto/ember-freestyle/issues/238)) ([f77ba52](https://github.com/chrislopresto/ember-freestyle/commit/f77ba52))

### [0.11.7](https://github.com/chrislopresto/ember-freestyle/compare/v0.11.6...v0.11.7) (2019-10-06)

### [0.11.6](https://github.com/chrislopresto/ember-freestyle/compare/v0.11.5...v0.11.6) (2019-10-06)

### [0.11.5](https://github.com/chrislopresto/ember-freestyle/compare/v0.11.4...v0.11.5) (2019-10-06)


### Features

* Add support for markdown tables ([#196](https://github.com/chrislopresto/ember-freestyle/issues/196)) ([2a63a4e](https://github.com/chrislopresto/ember-freestyle/commit/2a63a4e))

### [0.11.4](https://github.com/chrislopresto/ember-freestyle/compare/v0.11.3...v0.11.4) (2019-10-06)

### [0.11.3](https://github.com/chrislopresto/ember-freestyle/compare/v0.11.2...v0.11.3) (2019-10-06)


### Bug Fixes

* Remove computed property override deprecation ([#198](https://github.com/chrislopresto/ember-freestyle/issues/198)) ([71b8b64](https://github.com/chrislopresto/ember-freestyle/commit/71b8b64))

## [0.11.2](https://github.com/chrislopresto/ember-freestyle/compare/v0.11.1...v0.11.2) (2019-10-06)



## [0.11.1](https://github.com/chrislopresto/ember-freestyle/compare/v0.11.0...v0.11.1) (2019-10-06)



# [0.11.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.10.0...v0.11.0) (2019-10-06)


### Features


* Update ember-cli-sass to use Dart Sass. [191](https://github.com/chrislopresto/ember-freestyle/pull/191)

# [0.10.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.9.0...v0.10.0) (2018-11-07)


### Bug Fixes

* Don't include blank lines when determining how much to unindent [181](https://github.com/chrislopresto/ember-freestyle/pull/181) ([danwenzel](https://github.com/danwenzel))


### Features

* Remove Slack and add Discord [189](https://github.com/chrislopresto/ember-freestyle/pull/189) ([Windvis](https://github.com/Windvis))
* Drop support for node v4 & use broccoli-plugin [185](https://github.com/chrislopresto/ember-freestyle/pull/185) ([lukemelia](https://github.com/lukemelia))


# [0.9.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.8.1...v0.9.0) (2018-09-10)


### Bug Fixes

* Fix component action syntax [179](https://github.com/chrislopresto/ember-freestyle/pull/179) ([wagenet](https://github.com/wagenet))


### Features

* Update snippet documentation [182](https://github.com/chrislopresto/ember-freestyle/pull/182) ([mswanson](https://github.com/mswanson))
* Add range input to freestyle-dynamic [174](https://github.com/chrislopresto/ember-freestyle/pull/174) ([danwenzel](https://github.com/danwenzel))
* Add tests for freestyle dynamic [171](https://github.com/chrislopresto/ember-freestyle/pull/171) ([danwenzel](https://github.com/danwenzel))


## [0.8.1](https://github.com/chrislopresto/ember-freestyle/compare/v0.8.0...v0.8.1) (2018-03-01)


### Bug Fixes

* Fix freestyle notes [169](https://github.com/chrislopresto/ember-freestyle/pull/169) ([danwenzel](https://github.com/danwenzel))


# [0.8.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.7.0...v0.8.0) (2018-02-27)


### Bug Fixes

* Use correct property name [160](https://github.com/chrislopresto/ember-freestyle/pull/160) ([danwenzel](https://github.com/danwenzel))


### Features

* Tidy up eslint config [168](https://github.com/chrislopresto/ember-freestyle/pull/168) ([chrislopresto](https://github.com/chrislopresto))
* Upgrade to latest ember versions & fix all warnings/errors [157](https://github.com/chrislopresto/ember-freestyle/pull/157) ([sivakumar-kailasam](https://github.com/sivakumar-kailasam))


# [0.7.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.6.2...v0.7.0) (2018-02-20)


### Features

* Rename freestyle snippets module [159](https://github.com/chrislopresto/ember-freestyle/pull/159) ([chrislopresto](https://github.com/chrislopresto))
* Update LTS testing config [158](https://github.com/chrislopresto/ember-freestyle/pull/158) ([chrislopresto](https://github.com/chrislopresto))
* Update documentation for ember 2.4 [154](https://github.com/chrislopresto/ember-freestyle/pull/154) ([ctjhoa](https://github.com/ctjhoa))
* Update ember-cli-showdown and ember-cli-htmlbars [150](https://github.com/chrislopresto/ember-freestyle/pull/150) ([Dhaulagiri](https://github.com/Dhaulagiri))
* Remove jQuery dependency [149](https://github.com/chrislopresto/ember-freestyle/pull/149) ([scanieso](https://github.com/scanieso))
* Add FreestyleDynamic component to interact with component properties [100](https://github.com/chrislopresto/ember-freestyle/pull/100) ([danwenzel](https://github.com/danwenzel))


## [0.6.2](https://github.com/chrislopresto/ember-freestyle/compare/v0.6.1...v0.6.2) (2017-11-01)


### Bug Fixes

* Fixes for freestyleguide header [141](https://github.com/chrislopresto/ember-freestyle/pull/141) ([gijsbotje](https://github.com/gijsbotje))


### Features

* Update docs [147](https://github.com/chrislopresto/ember-freestyle/pull/147) ([chrislopresto](https://github.com/chrislopresto))
* Update README [146](https://github.com/chrislopresto/ember-freestyle/pull/146) ([chrislopresto](https://github.com/chrislopresto))
* Update to ember-cli 2.16 [145](https://github.com/chrislopresto/ember-freestyle/pull/145) ([chrislopresto](https://github.com/chrislopresto))
* Rename snippet processing variables for clarity [144](https://github.com/chrislopresto/ember-freestyle/pull/144) ([chrislopresto](https://github.com/chrislopresto))
* Improve spacing for hidden subsections [137](https://github.com/chrislopresto/ember-freestyle/pull/137) ([robabby](https://github.com/robabby))
* Inherit font-family from component [136](https://github.com/chrislopresto/ember-freestyle/pull/136) ([robabby](https://github.com/robabby))


## [0.6.1](https://github.com/chrislopresto/ember-freestyle/compare/v0.6.0...v0.6.1) (2017-07-14)


### Features

* Port docs site [135](https://github.com/chrislopresto/ember-freestyle/pull/135) ([chrislopresto](https://github.com/chrislopresto))
* Remove outdated and unused cruft [134](https://github.com/chrislopresto/ember-freestyle/pull/134) ([chrislopresto](https://github.com/chrislopresto))
* Fix blueprint for contextual components [133](https://github.com/chrislopresto/ember-freestyle/pull/133) ([chrislopresto](https://github.com/chrislopresto))


# [0.6.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.5.0...v0.6.0) (2017-07-09)


### Features

* Yielded Component API [130](https://github.com/chrislopresto/ember-freestyle/pull/130) ([chrislopresto](https://github.com/chrislopresto))


# [0.5.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.4.2...v0.5.0) (2017-07-09)


### Features

* Load Highlight.js themes remotely [129](https://github.com/chrislopresto/ember-freestyle/pull/129) ([chrislopresto](https://github.com/chrislopresto))


## [0.4.2](https://github.com/chrislopresto/ember-freestyle/compare/v0.4.1...v0.4.2) (2017-07-01)


### Bug Fixes

* Fix horizontal scroll on content [121](https://github.com/chrislopresto/ember-freestyle/pull/121) ([rtablada](https://github.com/rtablada))


### Features

* Replace broccoli-unwatched-tree with broccoli-source [127](https://github.com/chrislopresto/ember-freestyle/pull/127) ([Kerrick](https://github.com/Kerrick))
* Update ember-cli-showdown to ^3.2.1 [124](https://github.com/chrislopresto/ember-freestyle/pull/124) ([lukemelia](https://github.com/lukemelia))
* Remove wip status from README [119](https://github.com/chrislopresto/ember-freestyle/pull/119) ([simonihmig](https://github.com/simonihmig))
* Change snippet delimiter from `:` to `--` [118](https://github.com/chrislopresto/ember-freestyle/pull/118) ([chrislopresto](https://github.com/chrislopresto))
* Change to underscore delimiter for Windows-friendly snippet names [117](https://github.com/chrislopresto/ember-freestyle/pull/117) ([chrislopresto](https://github.com/chrislopresto))


## [0.4.1](https://github.com/chrislopresto/ember-freestyle/compare/v0.4.0...v0.4.1) (2017-05-03)


### Bug Fixes

* Fix ember-cli-showdown config [116](https://github.com/chrislopresto/ember-freestyle/pull/116) ([chrislopresto](https://github.com/chrislopresto))


# [0.4.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.3.0...v0.4.0) (2017-05-03)


### Features

* Drop support for Ember versions before 2.8 [113](https://github.com/chrislopresto/ember-freestyle/pull/113) ([chrislopresto](https://github.com/chrislopresto))
* Optimize Syntax Highlighting [111](https://github.com/chrislopresto/ember-freestyle/pull/111) ([chrislopresto](https://github.com/chrislopresto))


# [0.3.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.14...v0.3.0) (2017-05-03)


### Bug Fixes

* Fix treeForAddonStyles relative pathing [106](https://github.com/chrislopresto/ember-freestyle/pull/106) ([chrislopresto](https://github.com/chrislopresto))


### Features

* Remove ember-truth-helpers dependency [112](https://github.com/chrislopresto/ember-freestyle/pull/112) ([chrislopresto](https://github.com/chrislopresto))
* Update dependencies [110](https://github.com/chrislopresto/ember-freestyle/pull/110) ([chrislopresto](https://github.com/chrislopresto))
* Use yarn for dependency management [109](https://github.com/chrislopresto/ember-freestyle/pull/109) ([chrislopresto](https://github.com/chrislopresto))
* Update to ember-remarkable 3.6.1 [108](https://github.com/chrislopresto/ember-freestyle/pull/108) ([chrislopresto](https://github.com/chrislopresto))
* Update to ember-remarkable 3.6.0 [107](https://github.com/chrislopresto/ember-freestyle/pull/107) ([chrislopresto](https://github.com/chrislopresto))
* Wire up control of highlight.js theme [104](https://github.com/chrislopresto/ember-freestyle/pull/104) ([chrislopresto](https://github.com/chrislopresto))
* Move styles to addon tree [103](https://github.com/chrislopresto/ember-freestyle/pull/103) ([chrislopresto](https://github.com/chrislopresto))
* Upgrade to ember-cli 2.13 [102](https://github.com/chrislopresto/ember-freestyle/pull/102) ([chrislopresto](https://github.com/chrislopresto))
* Cleanup jshint artifacts [101](https://github.com/chrislopresto/ember-freestyle/pull/101) ([chrislopresto](https://github.com/chrislopresto))


## [0.2.14](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.13...v0.2.14) (2017-02-24)


### Bug Fixes

* Fix 'calling set on destroyed object' error [97](https://github.com/chrislopresto/ember-freestyle/pull/97) ([tamzinblake](https://github.com/tamzinblake))
* Fix\(freestyle-menu\): Reset f queryParam in menu [83](https://github.com/chrislopresto/ember-freestyle/pull/83) ([fsmanuel](https://github.com/fsmanuel))
* Fix snippet language detection [76](https://github.com/chrislopresto/ember-freestyle/pull/76) ([wagenet](https://github.com/wagenet))


### Features

* Update to ember-cli-github-pages 0.1.2 [96](https://github.com/chrislopresto/ember-freestyle/pull/96) ([chrislopresto](https://github.com/chrislopresto))
* Update ember-truth-helpers to 1.3.0 [95](https://github.com/chrislopresto/ember-freestyle/pull/95) ([zlotnika](https://github.com/zlotnika))
* Use `includes` instead of `contains`, which is deprecated in ember 2.8+ [94](https://github.com/chrislopresto/ember-freestyle/pull/94) ([lukemelia](https://github.com/lukemelia))
* Update ember-cli-eslint. [93](https://github.com/chrislopresto/ember-freestyle/pull/93) ([LucasHill](https://github.com/LucasHill))
* Update remarkable and ember-remarkable [86](https://github.com/chrislopresto/ember-freestyle/pull/86) ([chrislopresto](https://github.com/chrislopresto))
* Update ember-normalize [85](https://github.com/chrislopresto/ember-freestyle/pull/85) ([chrislopresto](https://github.com/chrislopresto))
* Update to Ember 2.8 and Ember CLI 2.8 [79](https://github.com/chrislopresto/ember-freestyle/pull/79) ([chrislopresto](https://github.com/chrislopresto))
* change notes and usage seperator from colon to underscore in order ma… [73](https://github.com/chrislopresto/ember-freestyle/pull/73) ([zidjian257](https://github.com/zidjian257))


## [0.2.13](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.12...v0.2.13) (2016-08-16)


### Bug Fixes

* a11y & template linting fixes [77](https://github.com/chrislopresto/ember-freestyle/pull/77) ([sivakumar-kailasam](https://github.com/sivakumar-kailasam))


### Features

* Removes quotes to enable fontFamily on freestyle-typeface component [140](https://github.com/chrislopresto/ember-freestyle/pull/140) ([wagenet](https://github.com/wagenet))
* Return false for `isDevelopingAddon` [74](https://github.com/chrislopresto/ember-freestyle/pull/74) ([elidupuis](https://github.com/elidupuis))
* Move rendered component next to its corresponding code snippet [70](https://github.com/chrislopresto/ember-freestyle/pull/70) ([vine77](https://github.com/vine77))
* Add some better test coverage before refactoring. [66](https://github.com/chrislopresto/ember-freestyle/pull/66) ([migbar](https://github.com/migbar))


## [0.2.12](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.11...v0.2.12) (2016-05-24)


### Bug Fixes

* Fix Menu When Page Loaded While Section or Subsection Focused [60](https://github.com/chrislopresto/ember-freestyle/pull/60) ([chrislopresto](https://github.com/chrislopresto))


### Features

* Support SCSS Note Snippets [63](https://github.com/chrislopresto/ember-freestyle/pull/63) ([chrislopresto](https://github.com/chrislopresto))
* Warn if duplicate slugs are detected [62](https://github.com/chrislopresto/ember-freestyle/pull/62) ([chrislopresto](https://github.com/chrislopresto))
* Scope freestyle options for safekeeping [51](https://github.com/chrislopresto/ember-freestyle/pull/51) ([chrislopresto](https://github.com/chrislopresto))


## [0.2.11](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.10...v0.2.11) (2016-05-20)


### Features

* Update ember-cli-eslint [59](https://github.com/chrislopresto/ember-freestyle/pull/59) ([chrislopresto](https://github.com/chrislopresto))
* Add changelog [58](https://github.com/chrislopresto/ember-freestyle/pull/58) ([chrislopresto](https://github.com/chrislopresto))
* Display freestyle-collection variants inline [57](https://github.com/chrislopresto/ember-freestyle/pull/57) ([chrislopresto](https://github.com/chrislopresto))
* Add live demo url [46](https://github.com/chrislopresto/ember-freestyle/pull/46) ([chrislopresto](https://github.com/chrislopresto))
* Add subsection header [44](https://github.com/chrislopresto/ember-freestyle/pull/44) ([chrislopresto](https://github.com/chrislopresto))
* Update README.md [42](https://github.com/chrislopresto/ember-freestyle/pull/42) ([knownasilya](https://github.com/knownasilya))
* Add anatomy and component rundown to README [41](https://github.com/chrislopresto/ember-freestyle/pull/41) ([chrislopresto](https://github.com/chrislopresto))
* Lint Lint Lint [40](https://github.com/chrislopresto/ember-freestyle/pull/40) ([chrislopresto](https://github.com/chrislopresto))
* generate blueprint in dummy app for addons [38](https://github.com/chrislopresto/ember-freestyle/pull/38) ([mszoernyi](https://github.com/mszoernyi))
* basic working within an addon documentation [35](https://github.com/chrislopresto/ember-freestyle/pull/35) ([chrisvdp](https://github.com/chrisvdp))


## [0.2.10](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.9...v0.2.10) (2016-04-20)


### Features

* Support nested addon usage [34](https://github.com/chrislopresto/ember-freestyle/pull/34) ([chrislopresto](https://github.com/chrislopresto))


## [0.2.9](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.8...v0.2.9) (2016-04-08)


### Features

* Provide default Ember Freestyle color palette [28](https://github.com/chrislopresto/ember-freestyle/pull/28) ([chrislopresto](https://github.com/chrislopresto))


## [0.2.8](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.7...v0.2.8) (2016-04-07)


### Features

* Add blueprint to set up most things on install [26](https://github.com/chrislopresto/ember-freestyle/pull/26) ([chrislopresto](https://github.com/chrislopresto))
* Remove json config experiments [25](https://github.com/chrislopresto/ember-freestyle/pull/25) ([chrislopresto](https://github.com/chrislopresto))
* Further cleanup on JSON experiments [24](https://github.com/chrislopresto/ember-freestyle/pull/24) ([aluink](https://github.com/aluink))
* Remove mappy-bp dependency [22](https://github.com/chrislopresto/ember-freestyle/pull/22) ([chrislopresto](https://github.com/chrislopresto))


## [0.2.7](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.6...v0.2.7) (2016-03-30)


### Features

* Talk Tweak Town [19](https://github.com/chrislopresto/ember-freestyle/pull/19) ([chrislopresto](https://github.com/chrislopresto))


## [0.2.6](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.5...v0.2.6) (2016-03-03)


## [0.2.5](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.4...v0.2.5) (2016-03-03)


## [0.2.4](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.3...v0.2.4) (2016-03-03)


## [0.2.3](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.2...v0.2.3) (2016-03-03)


### Features

* Add ability to focus on usage components [9](https://github.com/chrislopresto/ember-freestyle/pull/9) ([chrislopresto](https://github.com/chrislopresto))
* add bower dependencies to parent project [7](https://github.com/chrislopresto/ember-freestyle/pull/7) ([andrewfan](https://github.com/andrewfan))


## [0.2.2](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.1...v0.2.2) (2016-02-29)


### Bug Fixes

* add missing ember-truth-helpers dependency [5](https://github.com/chrislopresto/ember-freestyle/pull/5) ([andrewfan](https://github.com/andrewfan))


### Features

* Make friendlier for consuming apps [8](https://github.com/chrislopresto/ember-freestyle/pull/8) ([chrislopresto](https://github.com/chrislopresto))


## [0.2.1](https://github.com/chrislopresto/ember-freestyle/compare/v0.2.0...v0.2.1) (2016-02-22)


### Features

* Improve Note Components [4](https://github.com/chrislopresto/ember-freestyle/pull/4) ([chrislopresto](https://github.com/chrislopresto))


# [0.2.0](https://github.com/chrislopresto/ember-freestyle/compare/v0.1.1...v0.2.0) (2016-02-22)


### Features

* Avoid pod structure for better compatibility [3](https://github.com/chrislopresto/ember-freestyle/pull/3) ([chrislopresto](https://github.com/chrislopresto))


## [0.1.1](https://github.com/chrislopresto/ember-freestyle/compare/v0.1.0...v0.1.1) (2016-02-21)


### Features

* Standardize dependencies [2](https://github.com/chrislopresto/ember-freestyle/pull/2) ([chrislopresto](https://github.com/chrislopresto))


# 0.1.0 (2016-02-14)


### Features

* Wire up freestyle-usage-controls [1](https://github.com/chrislopresto/ember-freestyle/pull/1) ([chrislopresto](https://github.com/chrislopresto))
