import Component from '@glimmer/component';
import type EmberFreestyleService from '../../services/ember-freestyle';
import { TrackedArray } from 'tracked-built-ins';
import type { WithBoundArgs } from '@glint/template';
import type FreestyleVariant from '../freestyle-variant';
interface Signature {
    Element: HTMLDivElement;
    Args: {
        inline?: boolean;
        title?: string;
        defaultKey?: string;
    };
    Blocks: {
        default: [
            {
                variant: WithBoundArgs<typeof FreestyleVariant, 'collection'>;
            }
        ];
    };
}
export default class FreestyleCollection extends Component<Signature> {
    emberFreestyle: EmberFreestyleService;
    showLabels: boolean;
    hasLabels: boolean;
    showVariantList: boolean;
    defaultKey: string;
    key: string | null;
    variants: TrackedArray<string>;
    get activeKey(): string;
    registerVariant(variantKey: string): void;
    setKey(key: string): void;
}
export {};
