import Component from '@glimmer/component';
import Owner from '@ember/owner';
import { AttrValue } from '@glint/template';
export declare type SupportedValue = boolean | string | AttrValue | number;
export declare type InputType = 'checkbox' | 'textarea' | 'select' | 'number' | 'range';
interface PropertyHash {
    value?: SupportedValue;
    options?: SupportedValue[];
    inputType?: InputType;
    description?: string;
    min?: number;
    max?: number;
}
export declare type DynamicProperties = Record<string, PropertyHash>;
declare type DynamicPropertyValues = Record<string, SupportedValue>;
interface ComponentArgs {
    slug: string;
    dynamicProperties: DynamicProperties;
    title: string;
    componentName: string;
    source?: string;
}
interface Signature {
    Element: HTMLDivElement;
    Args: ComponentArgs;
    Blocks: {
        default: [DynamicPropertyValues];
    };
}
export default class FreestyleDynamic extends Component<Signature> {
    headerTitle: string;
    _dynamicProperties: DynamicProperties;
    constructor(owner: Owner, args: ComponentArgs);
    get dynamicProperties(): DynamicProperties;
    get dynamicPropertyValues(): DynamicPropertyValues;
    changeValueTo(propertyName: string, newValue: SupportedValue): void;
}
export {};
