import Service from '@ember/service';
import { TrackedArray } from 'tracked-built-ins';
import { Promise } from 'rsvp';
export interface Section {
    name: string;
    subsections: TrackedArray<Subsection>;
}
interface Subsection {
    name: string;
}
export default class EmberFreestyleService extends Service {
    showLabels: boolean;
    showNotes: boolean;
    showCode: boolean;
    showApi: boolean;
    menu: TrackedArray<Section> | null;
    showMenu: boolean;
    allowRenderingAllSections: boolean;
    defaultTheme: string;
    section: null;
    subsection: null;
    focus: string | null;
    get notFocused(): boolean;
    shouldShowSection(sectionName: string): boolean;
    shouldShowSubsection(sectionName: string, subsectionName: string): boolean;
    hljsVersion: string;
    hljsPromise: Promise<void> | null;
    hljsLanguagePromises: Record<string, Promise<void>>;
    hljsUrl(): string;
    hljsThemeUrl(theme: string): string;
    hljsLanguageUrl(language: string): string;
    ensureHljs(): Promise<void>;
    highlight(el: HTMLElement): void;
    ensureHljsTheme(theme: string): void;
    ensureHljsLanguage(language: string): Promise<void>;
    registerSection(sectionName: string, subsectionName?: string): void;
}
declare module '@ember/service' {
    interface Registry {
        'ember-freestyle': EmberFreestyleService;
    }
}
export {};
